	$Id: README.cps,v 1.1.1.1 2000/12/28 01:23:45 gmt Exp $

Version 1.3	March 2000

Much rewritten to deal with several issues:
1. Include uudecoe/encode algorithm directly in the
   source code since these tools are unlikely to be
   available on non-UNIX platforms.  The library
   libuu.a contains these filters, based on GNU version.
   uuencode and uudecode are no longer used directly.
2. Allow wildcard filesnames in the #CPS-F: flag
3. Get and set file permissions correctly
4. Correctly deal with the retardedness of TEXT and BINARY
   modes for i/o under Bill O/S.
5. Allow for a 'dry-run' -n option which just checks things.
6. Take away -e -u for cpsdecode since it needs to be run
   with the same settings that produced the CPS file and
   those settings are obtained from the CPS file itself.
   -e -u are left inert for backwards compatibility.
7. Added -x option to cpsencode to embed executable files
   that would normally be skipped.
8. SImply use % as comment flag for embedded files instead
   of %%CPS| (although this is backward compatible)
9. Fix minor bugs in the older release.

CPS requires bzip2 to be available.  If you for no good
reasons have yet to install it, this is a good time to do
so.  Get it from sourceware.cygnus.com - they even have
executables for most platforms ready to go.  Although
you _could_ edit cps.h and select gzip instead of using
bzip2 you are fooling yourself if you think that is a
good idea.

Version 1.2
	cpsencode had a bug in 3.2, fixed now 06/08/99 PW

Version 1.1

This directory contains 2 programs that facilitates
the encoding and decoding of Complete PostScript files.
CPS files contain a plot and all the commands and data
files needed to recreate the plot.  With a CPS file you
can later decide to apply a different filter or do something
quite different that requires access to the actual data.
The two programs are

	cpsencode - encode script and files at end of PS file
	cpsdecode - extract scrips and files from PS file

By default, the encoding is done using bzip2 for compression and
uuencode/uudecode for ASCII representation.  If you
have strong reasons to use gzip, zip, or compress instead of
bzip2 see the comments in cps.h for what to do.  Likewise,
if you cannot use uu[en|de]code, see cps.h on how to replace
them.  Finally, I use the Unix utility cat; if you dont have
that you must redefine CAT in cps.h with a similar utility.

The single man page cps.man contains references to both
programs.  You may want to install links called cpsencode.l
and cpsdecode.l to this file.

Paul Wessel (wessel@soest.hawaii.edu)
SOEST, University of Hawaii
February 19, 1999
